org.codehaus.groovy.classgen

## Class InnerClassVisitorHelper

- java.lang.Object
- - org.codehaus.groovy.ast.CodeVisitorSupport
  - - org.codehaus.groovy.ast.ClassCodeVisitorSupport
    - - org.codehaus.groovy.classgen.InnerClassVisitorHelper

All Implemented Interfaces:
  GroovyClassVisitor, GroovyCodeVisitor

Direct Known Subclasses:
  InnerClassCompletionVisitor, InnerClassVisitor

    public abstract class InnerClassVisitorHelper
    extends ClassCodeVisitorSupport

### Constructor Summary

Constructors
Constructor and Description
`InnerClassVisitorHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static void` `addFieldInit(Parameter p, FieldNode fn, BlockStatement block)`
`protected static ClassNode` `getClassNode(ClassNode node, boolean isStatic)`
`protected static int` `getObjectDistance(ClassNode node)`
`protected static boolean` `isStatic(InnerClassNode node)`
`protected static void` `setMethodDispatcherCode(BlockStatement block, Expression thiz, Parameter[] parameters)`
`protected static void` `setPropertyGetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)`
`protected static void` `setPropertySetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)`
`protected static boolean` `shouldHandleImplicitThisForInnerClass(ClassNode cn)`

### Methods inherited from class org.codehaus.groovy.ast.ClassCodeVisitorSupport

`addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`

### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

`visitArgumentlistExpression, visitArrayExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitCastExpression, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InnerClassVisitorHelper

    public InnerClassVisitorHelper()

### Method Detail

#### setPropertyGetterDispatcher

    protected static void setPropertyGetterDispatcher(BlockStatement block,
                                                      Expression thiz,
                                                      Parameter[] parameters)

#### setPropertySetterDispatcher

    protected static void setPropertySetterDispatcher(BlockStatement block,
                                                      Expression thiz,
                                                      Parameter[] parameters)

#### setMethodDispatcherCode

    protected static void setMethodDispatcherCode(BlockStatement block,
                                                  Expression thiz,
                                                  Parameter[] parameters)

#### isStatic

    protected static boolean isStatic(InnerClassNode node)

#### getClassNode

    protected static ClassNode getClassNode(ClassNode node,
                                            boolean isStatic)

#### getObjectDistance

    protected static int getObjectDistance(ClassNode node)

#### addFieldInit

    protected static void addFieldInit(Parameter p,
                                       FieldNode fn,
                                       BlockStatement block)

#### shouldHandleImplicitThisForInnerClass

    protected static boolean shouldHandleImplicitThisForInnerClass(ClassNode cn)